/**
 * generated by Xtext 2.15.0
 */
package fr.irisa.cairn.graphviz.model.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import fr.irisa.cairn.graphviz.model.DottyRuntimeModule;
import fr.irisa.cairn.graphviz.model.DottyStandaloneSetup;
import fr.irisa.cairn.graphviz.model.ide.DottyIdeModule;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class DottyIdeSetup extends DottyStandaloneSetup {
  @Override
  public Injector createInjector() {
    DottyRuntimeModule _dottyRuntimeModule = new DottyRuntimeModule();
    DottyIdeModule _dottyIdeModule = new DottyIdeModule();
    return Guice.createInjector(Modules2.mixin(_dottyRuntimeModule, _dottyIdeModule));
  }
}
